#ifndef _Handle_PGeom_ToroidalSurface_HeaderFile
#define _Handle_PGeom_ToroidalSurface_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_ElementarySurface_HeaderFile
#include <Handle_PGeom_ElementarySurface.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_ElementarySurface);
class PGeom_ToroidalSurface;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_ToroidalSurface);

class Handle(PGeom_ToroidalSurface) : public Handle(PGeom_ElementarySurface) {
  public:

    Handle(PGeom_ToroidalSurface)():Handle(PGeom_ElementarySurface)() {} 
    Handle(PGeom_ToroidalSurface)(const Handle(PGeom_ToroidalSurface)& aHandle) : Handle(PGeom_ElementarySurface)(aHandle) 
     {
     }

    Handle(PGeom_ToroidalSurface)(const PGeom_ToroidalSurface* anItem) : Handle(PGeom_ElementarySurface)((PGeom_ElementarySurface *)anItem) 
     {
     }

    Handle(PGeom_ToroidalSurface)& operator=(const Handle(PGeom_ToroidalSurface)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_ToroidalSurface)& operator=(const PGeom_ToroidalSurface* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_ToroidalSurface* operator->() const 
     {
      return (PGeom_ToroidalSurface *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_ToroidalSurface) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
